import time

from mcpi.minecraft import Minecraft
mc = Minecraft.create()


class Gebouw(object):
    def __init__(self, x, y, z, breedte, hoogte, diepte):
        self.x = x
        self.y = y
        self.z = z

        self.breedte = breedte
        self.hoogte = hoogte
        self.diepte = diepte

    def bouw(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.breedte, self.y + self.hoogte, self.z + self.diepte, 4)

        mc.setBlocks(self.x + 1, self.y + 1, self.z + 1,
                     self.x + self.breedte - 1, self.y + self.hoogte - 1, self.z + self.diepte - 1, 0)

        self.bouwRamen()
        self.bouwDeur()

    def verwijder(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.breedte, self.y + self.hoogte, self.z + self.diepte, 0)

    def bouwRamen(self):
        mc.setBlock(self.x + (self.breedte / 4 * 3), self.y + 2, self.z, 0)
        mc.setBlock(self.x + (self.breedte / 4), self.y + 2, self.z, 0)

    def bouwDeur(self):
        mc.setBlocks(self.x + (self.breedte / 2), self.y + 1, self.z, self.x + (self.breedte / 2), self.y + 2, self.z, 0)


class Boom(Gebouw):
    def plantBoom(self):
        """Maakt een boom op de plaats van de opgegeven coordinaten"""
        hout = 17
        bladeren = 18

        # stam
        mc.setBlocks(self.x, self.y, self.z, self.x, self.y + 5, self.z, hout)

        # bladeren
        mc.setBlocks(self.x - 2, self.y + 6, self.z - 2, self.x + 2, self.y + 6, self.z + 2, bladeren)
        mc.setBlocks(self.x - 1, self.y + 7, self.z - 1, self.x + 1, self.y + 7, self.z + 1, bladeren)

    def verwijder(self):
        """Verwijdert een boom op de plaats van de opgegeven coordinaten"""
        hout = 0
        bladeren = 0

        # Stam
        mc.setBlocks(self.x, self.y, self.z, self.x, self.y + 5, self.z, hout)

        # Bladeren
        mc.setBlocks(self.x - 2, self.y + 6, self.z - 2, self.x + 2, self.y + 6, self.z + 2, bladeren)
        mc.setBlocks(self.x - 1, self.y + 7, self.z - 1, self.x + 1, self.y + 7, self.z + 1, bladeren)

pos = mc.player.getTilePos()
x = pos.x
y = pos.y
z = pos.z

spookBoom = Boom(x, y, z, 10, 6, 8)
spookBoom.plantBoom()

time.sleep(10)

spookBoom.verwijder()
