import time

from mcpi.minecraft import Minecraft
mc = Minecraft.create()


class Gebouw(object):
    def __init__(self, x, y, z, breedte, hoogte, diepte):
        self.x = x
        self.y = y
        self.z = z

        self.breedte = breedte
        self.hoogte = hoogte
        self.diepte = diepte

    def bouw(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.breedte, self.y + self.hoogte, self.z + self.diepte, 4)

        mc.setBlocks(self.x + 1, self.y + 1, self.z + 1,
                     self.x + self.breedte - 1, self.y + self.hoogte - 1, self.z + self.diepte - 1, 0)

        self.bouwRamen()
        self.bouwDeur()

    def verwijder(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.breedte, self.y + self.hoogte, self.z + self.diepte, 0)

    def bouwRamen(self):
        mc.setBlock(self.x + (self.breedte / 4 * 3), self.y + 2, self.z, 0)
        mc.setBlock(self.x + (self.breedte / 4), self.y + 2, self.z, 0)

    def bouwDeur(self):
        mc.setBlocks(self.x + (self.breedte / 2), self.y + 1, self.z, self.x + (self.breedte / 2), self.y + 2, self.z, 0)


pos = mc.player.getTilePos()
x = pos.x
y = pos.y
z = pos.z

spookHuis = Gebouw(x, y, z, 10, 6, 8)
winkel = Gebouw(x + 12, y, z, 8, 12, 10)
ziekenhuis = Gebouw(x + 25, y, z - 1, 30, 40, 30)
restaurant = Gebouw(x - 12, y - 5, z, 9, 11, 13)


spookHuis.bouw()
winkel.bouw()
ziekenhuis.bouw()
restaurant.bouw()

time.sleep(30)

spookHuis.verwijder()
winkel.verwijder()
ziekenhuis.verwijder()
restaurant.verwijder()
