from mcpi.minecraft import Minecraft
mc = Minecraft.create()

import time


class Bouwwerk(object):
    def __init__(self, x, y, z, breedte, hoogte, diepte):
        self.x = x
        self.y = y
        self.z = z

        self.breedte = breedte
        self.hoogte = hoogte
        self.diepte = diepte

    def bouw(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.breedte, self.y + self.hoogte, self.z + self.diepte, 4)

        mc.setBlocks(self.x + 1, self.y + 1, self.z + 1,
                     self.x + self.breedte - 1, self.y + self.hoogte - 1, self.z + self.diepte - 1, 0)

        self.bouwRamen()
        self.bouwDeur()

    def verwijder(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.breedte, self.y + self.hoogte, self.z + self.diepte, 0)

    def bouwRamen(self):
        mc.setBlock(self.x + (self.breedte / 4 * 3), self.y + 2, self.z, 0)
        mc.setBlock(self.x + (self.breedte / 4), self.y + 2, self.z, 0)

    def bouwDeur(self):
        mc.setBlocks(self.x + (self.breedte / 2), self.y + 1, self.z, self.x + (self.breedte / 2), self.y + 2, self.z, 0)


class LuxeGebouw(Bouwwerk):
    def verbeter(self):
        # Tapijt
        mc.setBlocks(self.x + 1, self.y, self.z + 1,
                     self.x + self.breedte - 1, self.y, self.z + self.diepte - 1,
                     35, 6)

        # Bloemen
        mc.setBlocks(self.x - 1, self.y, self.z - 1,
                     self.x - 1, self.y, self.z + self.diepte + 1,
                     37)
        mc.setBlocks(self.x - 1, self.y, self.z - 1,
                     self.x + self.breedte + 1, self.y, self.z - 1,
                     37)
        mc.setBlocks(self.x + self.breedte + 1, self.y, self.z - 1,
                     self.x + self.breedte + 1, self.y, self.z + self.diepte + 1,
                     37)
        mc.setBlocks(self.x - 1, self.y, self.z + self.diepte + 1,
                     self.x + self.breedte + 1, self.y, self.z + self.diepte + 1,
                     37)


pos = mc.player.getTilePos()
x = pos.x
y = pos.y
z = pos.z

spookHotel = LuxeGebouw(x, y, z, 10, 6, 8)
spookHotel.bouw()
spookHotel.verbeter()

time.sleep(30)

spookHotel.verwijder()
